--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-6411
2009-06-15 22:07:28
--------------------------------------------------------------------------------

Name        : ruby-gnome2
Product     : Fedora 9
Version     : 0.17.0
Release     : 10.fc9
URL         : Summary     : Ruby binding of libgnome/libgnomeui-2.x
Description :
This is a set of bindings for the GNOME-2.x libraries for use from Ruby.

--------------------------------------------------------------------------------
Update Information:

Update to new upstream Firefox version 3.0.11, fixing multiple security issues
detailed in the upstream advisories:    https://www.mozilla.org/en-US/security/known-vulnerabilities/firefox-3.0/    Update also includes all
packages depending on gecko-libs rebuild against new version of Firefox /
XULRunner.
--------------------------------------------------------------------------------
ChangeLog:

* Thu Jun 11 2009 Christopher Aillon  - 0.17.0-10
- Rebuild against newer gecko
* Mon Apr 27 2009 Christopher Aillon  - 0.17.0-9
- Rebuild against newer gecko
* Tue Apr 21 2009 Christopher Aillon  - 0.17.0-8
- Rebuild against newer gecko
* Fri Mar 27 2009 Christopher Aillon  - 0.17.0-7
- Rebuild against newer gecko
* Fri Mar  6 2009 Jan Horak  - 0.17.0-6
- Rebuild against newer gecko
* Wed Feb  4 2009 Christopher Aillon  - 0.17.0-5
- Rebuild against newer gecko
* Wed Dec 17 2008 Christopher Aillon  - 0.17.0-4
- Rebuild against newer gecko
* Wed Nov 12 2008 Christopher Aillon  - 0.17.0-3
- Rebuild against newer gecko
* Wed Sep 24 2008 Christopher Aillon  - 0.17.0-2
- Rebuild against newer gecko
* Thu Sep 18 2008 Mamoru Tasaka  0.17.0-1
- Update to 0.17.0
- Patch from svn to fix Ruby/GLib bug (bug 456816)
* Sat Jul 19 2008 Mamoru Tasaka  - 0.17.0-0.4.rc1
- F-9+: relax gecko libs dependency
- F-9+: bump version to fix EVR problem between F-8 branch
* Fri Jun 20 2008 Martin Stransky  - 0.17.0-0.2.rc1
- Rebuild against new xulrunner
* Sun Jun  8 2008 Mamoru Tasaka  - 0.17.0-0.1.rc1
- 0.17.0 rc1
- Remove upstreamed patches - 2 patches remain
  - ruby-gnome2-0.17.0-rc1-script.patch
  - ruby-gnome2-all-0.16.0-xulrunner.patch
- Restrict ruby abi dependency to exact 1.8 version
- Fix the license (to strict LGPLv2)
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #503568 - CVE-2009-1392 Firefox browser engine crashes
        https://bugzilla.redhat.com/show_bug.cgi?id=503568
  [ 2 ] Bug #503569 - CVE-2009-1832 Firefox double frame construction flaw
        https://bugzilla.redhat.com/show_bug.cgi?id=503569
  [ 3 ] Bug #503570 - CVE-2009-1833 Firefox JavaScript engine crashes
        https://bugzilla.redhat.com/show_bug.cgi?id=503570
  [ 4 ] Bug #503573 - CVE-2009-1834 Firefox URL spoofing with invalid unicode characters        https://bugzilla.redhat.com/show_bug.cgi?id=503573
  [ 5 ] Bug #503576 - CVE-2009-1835 Firefox Arbitrary domain cookie access by local file: resources
        https://bugzilla.redhat.com/show_bug.cgi?id=503576
  [ 6 ] Bug #503578 - CVE-2009-1836 Firefox SSL tampering via non-200 responses to proxy CONNECT requests
        https://bugzilla.redhat.com/show_bug.cgi?id=503578
  [ 7 ] Bug #503579 - CVE-2009-1837 Firefox Race condition while accessing the private data of a NPObject JS wrapper class object
        https://bugzilla.redhat.com/show_bug.cgi?id=503579
  [ 8 ] Bug #503580 - CVE-2009-1838 Firefox arbitrary code execution flaw
        https://bugzilla.redhat.com/show_bug.cgi?id=503580
  [ 9 ] Bug #503581 - CVE-2009-1839 Firefox information disclosure flaw
        https://bugzilla.redhat.com/show_bug.cgi?id=503581
  [ 10 ] Bug #503582 - CVE-2009-1840 Firefox XUL scripts skip some security checks
        https://bugzilla.redhat.com/show_bug.cgi?id=503582
  [ 11 ] Bug #503583 - CVE-2009-1841 Firefox JavaScript arbitrary code execution
        https://bugzilla.redhat.com/show_bug.cgi?id=503583
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update ruby-gnome2' at the command line.
For more information, refer to "Managing Software with yum",
available at .

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/security/
--------------------------------------------------------------------------------

_______________________________________________
Fedora-package-announce mailing list
Fedora-package-announce@redhat.com
http://www.redhat.com/mailman/listinfo/fedora-package-announce

Fedora 9 Update: ruby-gnome2-0.17.0-10.fc9

June 15, 2009
Update to new upstream Firefox version 3.0.11, fixing multiple security issues detailed in the upstream advisories: https://www.mozilla.org/en-US/security/known-vulnerabilities...

Summary

This is a set of bindings for the GNOME-2.x libraries for use from Ruby.

Update Information:

Update to new upstream Firefox version 3.0.11, fixing multiple security issues detailed in the upstream advisories: https://www.mozilla.org/en-US/security/known-vulnerabilities/firefox-3.0/ Update also includes all packages depending on gecko-libs rebuild against new version of Firefox / XULRunner.

Change Log

* Thu Jun 11 2009 Christopher Aillon - 0.17.0-10 - Rebuild against newer gecko * Mon Apr 27 2009 Christopher Aillon - 0.17.0-9 - Rebuild against newer gecko * Tue Apr 21 2009 Christopher Aillon - 0.17.0-8 - Rebuild against newer gecko * Fri Mar 27 2009 Christopher Aillon - 0.17.0-7 - Rebuild against newer gecko * Fri Mar 6 2009 Jan Horak - 0.17.0-6 - Rebuild against newer gecko * Wed Feb 4 2009 Christopher Aillon - 0.17.0-5 - Rebuild against newer gecko * Wed Dec 17 2008 Christopher Aillon - 0.17.0-4 - Rebuild against newer gecko * Wed Nov 12 2008 Christopher Aillon - 0.17.0-3 - Rebuild against newer gecko * Wed Sep 24 2008 Christopher Aillon - 0.17.0-2 - Rebuild against newer gecko * Thu Sep 18 2008 Mamoru Tasaka 0.17.0-1 - Update to 0.17.0 - Patch from svn to fix Ruby/GLib bug (bug 456816) * Sat Jul 19 2008 Mamoru Tasaka - 0.17.0-0.4.rc1 - F-9+: relax gecko libs dependency - F-9+: bump version to fix EVR problem between F-8 branch * Fri Jun 20 2008 Martin Stransky - 0.17.0-0.2.rc1 - Rebuild against new xulrunner * Sun Jun 8 2008 Mamoru Tasaka - 0.17.0-0.1.rc1 - 0.17.0 rc1 - Remove upstreamed patches - 2 patches remain - ruby-gnome2-0.17.0-rc1-script.patch - ruby-gnome2-all-0.16.0-xulrunner.patch - Restrict ruby abi dependency to exact 1.8 version - Fix the license (to strict LGPLv2)

References

[ 1 ] Bug #503568 - CVE-2009-1392 Firefox browser engine crashes https://bugzilla.redhat.com/show_bug.cgi?id=503568 [ 2 ] Bug #503569 - CVE-2009-1832 Firefox double frame construction flaw https://bugzilla.redhat.com/show_bug.cgi?id=503569 [ 3 ] Bug #503570 - CVE-2009-1833 Firefox JavaScript engine crashes https://bugzilla.redhat.com/show_bug.cgi?id=503570 [ 4 ] Bug #503573 - CVE-2009-1834 Firefox URL spoofing with invalid unicode characters https://bugzilla.redhat.com/show_bug.cgi?id=503573 [ 5 ] Bug #503576 - CVE-2009-1835 Firefox Arbitrary domain cookie access by local file: resources https://bugzilla.redhat.com/show_bug.cgi?id=503576 [ 6 ] Bug #503578 - CVE-2009-1836 Firefox SSL tampering via non-200 responses to proxy CONNECT requests https://bugzilla.redhat.com/show_bug.cgi?id=503578 [ 7 ] Bug #503579 - CVE-2009-1837 Firefox Race condition while accessing the private data of a NPObject JS wrapper class object https://bugzilla.redhat.com/show_bug.cgi?id=503579 [ 8 ] Bug #503580 - CVE-2009-1838 Firefox arbitrary code execution flaw https://bugzilla.redhat.com/show_bug.cgi?id=503580 [ 9 ] Bug #503581 - CVE-2009-1839 Firefox information disclosure flaw https://bugzilla.redhat.com/show_bug.cgi?id=503581 [ 10 ] Bug #503582 - CVE-2009-1840 Firefox XUL scripts skip some security checks https://bugzilla.redhat.com/show_bug.cgi?id=503582 [ 11 ] Bug #503583 - CVE-2009-1841 Firefox JavaScript arbitrary code execution https://bugzilla.redhat.com/show_bug.cgi?id=503583

Update Instructions

This update can be installed with the "yum" update program. Use su -c 'yum update ruby-gnome2' at the command line. For more information, refer to "Managing Software with yum", available at .

Severity
Name : ruby-gnome2
Product : Fedora 9
Version : 0.17.0
Release : 10.fc9
URL : Summary : Ruby binding of libgnome/libgnomeui-2.x

Related News